## net.i2p.router.networkdb.kademlia
Class SearchJob.FailedJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.SearchJob.FailedJob

All Implemented Interfaces:
  Job

Enclosing class:
  SearchJob

    protected class SearchJob.FailedJob

extends JobImpl

Called when a particular peer failed to respond before the timeout was reached, or if the peer could not be contacted at all.

Constructor Summary
`SearchJob.FailedJob(RouterContext enclosingContext, RouterInfo peer)`
`SearchJob.FailedJob(RouterContext enclosingContext, RouterInfo peer, boolean penalizePeer)` Allow the choice as to whether failed searches should count against the peer (such as if we search for a random key)

Method Summary
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchJob.FailedJob

    public SearchJob.FailedJob(RouterContext enclosingContext,
                               RouterInfo peer)

### SearchJob.FailedJob

    public SearchJob.FailedJob(RouterContext enclosingContext,
                               RouterInfo peer,
                               boolean penalizePeer)

  Allow the choice as to whether failed searches should count against the peer (such as if we search for a random key)

Method Detail

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task